> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Webhook

> Delete a webhook. Deliveries stop immediately and the signing secret is retired. Events that occurred before the delete are not replayed if the endpoint is registered again.



## OpenAPI

````yaml delete /v1/webhooks/{id}
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/webhooks/{id}:
    delete:
      summary: Delete a Webhook
      description: >-
        Delete a webhook. Deliveries stop immediately and the signing secret is
        retired. Events that occurred before the delete are not replayed if the
        endpoint is registered again.
      operationId: Webhooks_delete
      parameters:
        - name: id
          in: path
          description: The webhook ID.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: The webhook has been deleted.
      x-codeSamples:
        - lang: javascript
          label: Node.js
          source: |-
            import Browserbase from "@browserbasehq/sdk";

            const bb = new Browserbase({
              apiKey: process.env.BROWSERBASE_API_KEY,
            });

            await bb.webhooks.delete("<webhook-id>");
        - lang: python
          label: Python
          source: |-
            import os

            from browserbase import Browserbase

            bb = Browserbase(api_key=os.environ["BROWSERBASE_API_KEY"])

            bb.webhooks.delete("<webhook-id>")
        - lang: bash
          label: cURL
          source: |-
            curl --request DELETE \
              --url https://api.browserbase.com/v1/webhooks/<webhook-id> \
              --header "X-BB-API-Key: $BROWSERBASE_API_KEY"
components:
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````